PHPExcel_Writer

# Class: PHPExcel_Writer_HTML

Source Location: /PHPExcel/Writer/HTML.php

### Class Overview

PHPExcel_Writer_HTML

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_Writer_IWriter

### Variables

- $_isPdf
- $_phpExcel

### Methods

- __construct
- buildCSS
- formatColor
- generateHTMLFooter
- generateHTMLHeader
- generateNavigation
- generateSheetData
- generateStyles
- getGenerateSheetNavigationBlock
- getImagesRoot
- getPreCalculateFormulas
- getSheetIndex
- getUseInlineCss
- save
- setGenerateSheetNavigationBlock
- setImagesRoot
- setPreCalculateFormulas
- setSheetIndex
- setUseInlineCss
- writeAllSheets

### Child classes:

PHPExcel_Writer_PDF_Core
  PHPExcel_Writer_PDF_Core

### Class Details

[line 36]
PHPExcel_Writer_HTML

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_isPdf = false

[line 126]

Is the current writer creating PDF?

#### Tags:

access: | protected

Type: | boolean

[ Top ]

#### $_phpExcel =

[line 42]

PHPExcel object

#### Tags:

access: | protected

Type: | PHPExcel

[ Top ]

### Class Methods

### constructor __construct [line 140]

`PHPExcel_Writer_HTML __construct( PHPExcel $phpExcel)`

Create a new PHPExcel_Writer_HTML

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Writer_PDF_Core::__construct()
  Create a new PHPExcel_Writer_PDF

PHPExcel_Writer_PDF_DomPDF::__construct()
  Create a new PHPExcel_Writer_PDF

PHPExcel_Writer_PDF_mPDF::__construct()
  Create a new PHPExcel_Writer_PDF

PHPExcel_Writer_PDF_tcPDF::__construct()
  Create a new PHPExcel_Writer_PDF

#### Parameters:

PHPExcel | $phpExcel | PHPExcel object

[ Top ]

### method buildCSS [line 603]

`array buildCSS( [boolean $generateSurroundingHTML = true])`

Build CSS styles

#### Tags:

throws: | Exception
access: | public

#### Parameters:

boolean | $generateSurroundingHTML | Generate surrounding HTML style? (html { })

[ Top ]

### method formatColor [line 1263]

`string formatColor( string $pValue, string $pFormat)`

Add color to formatted string as inline style

#### Tags:

access: | public

#### Parameters:

string | $pValue | Plain formatted value without color
string | $pFormat | Format code

[ Top ]

### method generateHTMLFooter [line 882]

`void generateHTMLFooter( )`

Generate HTML footer

#### Tags:

access: | public

[ Top ]

### method generateHTMLHeader [line 305]

`string generateHTMLHeader( [boolean $pIncludeStyles = false])`

Generate HTML header

#### Tags:

throws: | Exception
access: | public

#### Parameters:

boolean | $pIncludeStyles | Include styles?

[ Top ]

### method generateNavigation [line 475]

`string generateNavigation( )`

Generate sheet tabs

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method generateSheetData [line 356]

`string generateSheetData( )`

Generate sheet data

#### Tags:

throws: | Exception
access: | public

[ Top ]

### method generateStyles [line 562]

`string generateStyles( [boolean $generateSurroundingHTML = true])`

Generate CSS styles

#### Tags:

throws: | Exception
access: | public

#### Parameters:

boolean | $generateSurroundingHTML | Generate surrounding HTML tags? (<style> and </style>)

[ Top ]

### method getGenerateSheetNavigationBlock [line 275]

`boolean getGenerateSheetNavigationBlock( )`

Get sheet index

#### Tags:

access: | public

[ Top ]

### method getImagesRoot [line 1221]

`string getImagesRoot( )`

Get images root

#### Tags:

access: | public

[ Top ]

### method getPreCalculateFormulas [line 1201]

`boolean getPreCalculateFormulas( )`

Get Pre-Calculate Formulas

#### Tags:

access: | public

[ Top ]

### method getSheetIndex [line 255]

`int getSheetIndex( )`

Get sheet index

#### Tags:

access: | public

[ Top ]

### method getUseInlineCss [line 1241]

`boolean getUseInlineCss( )`

Get use inline CSS?

#### Tags:

access: | public

[ Top ]

### method save [line 151]

`void save( [string $pFilename = null])`

Save PHPExcel to file

#### Tags:

throws: | Exception
access: | public

Overridden in child classes as:

PHPExcel_Writer_PDF_DomPDF::save()
  Save PHPExcel to file

PHPExcel_Writer_PDF_mPDF::save()
  Save PHPExcel to file

PHPExcel_Writer_PDF_tcPDF::save()
  Save PHPExcel to file

Implementation of:

PHPExcel_Writer_IWriter::save()
  Save PHPExcel to file

#### Parameters:

string | $pFilename |

[ Top ]

### method setGenerateSheetNavigationBlock [line 285]

`PHPExcel_Writer_HTML setGenerateSheetNavigationBlock( [boolean $pValue = true])`

Set sheet index

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Flag indicating whether the sheet navigation block should be generated or not

[ Top ]

### method setImagesRoot [line 1231]

`PHPExcel_Writer_HTML setImagesRoot( [string $pValue = '.'])`

Set images root

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setPreCalculateFormulas [line 1211]

`PHPExcel_Writer_HTML setPreCalculateFormulas( [boolean $pValue = true])`

Set Pre-Calculate Formulas

#### Tags:

access: | public

#### Parameters:

boolean | $pValue | Pre-Calculate Formulas?

[ Top ]

### method setSheetIndex [line 265]

`PHPExcel_Writer_HTML setSheetIndex( [int $pValue = 0])`

Set sheet index

#### Tags:

access: | public

#### Parameters:

int | $pValue | Sheet index

[ Top ]

### method setUseInlineCss [line 1251]

`PHPExcel_Writer_HTML setUseInlineCss( [boolean $pValue = false])`

Set use inline CSS?

#### Tags:

access: | public

#### Parameters:

boolean | $pValue |

[ Top ]

### method writeAllSheets [line 293]

`void writeAllSheets( )`

Write all sheets (resets sheetIndex to NULL)

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:28 +0200 by phpDocumentor 1.4.4